diff options
author | Boris Kolpackov <boris@codesynthesis.com> | 2015-05-29 18:31:08 +0200 |
---|---|---|
committer | Boris Kolpackov <boris@codesynthesis.com> | 2015-05-29 18:31:08 +0200 |
commit | 75cb85e0cfa66480492b80ada19bd5a02ea12305 (patch) | |
tree | 78b4761ae9421cb012bc2b92b600ed1830c0be5e /tag.sh |
Add git helper scripts
Diffstat (limited to 'tag.sh')
-rwxr-xr-x | tag.sh | 23 |
1 files changed, 23 insertions, 0 deletions
@@ -0,0 +1,23 @@ +#! /bin/sh + +. etc/git/modules + +wd=`pwd` + +if [ "$1" = "" ]; then + echo "missing version" 1>&2 + exit 1 +fi + +for i in $modules; do + echo "tag $i" 1>&2 + cd $i + git tag -a $1 -m "Tag version $1" + + if [ $? -ne 0 ]; then + echo "tag FAILED" 1>&2 + exit 1 + fi + + cd $wd +done |